/* 	TreeSelectionAdapter.java
 *	Copyright (c) 2007, Brains2B.org
 *	
 *	Created by: Dennis Groenendijk
 *	Created on: 3-jan-2007
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that  * the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and 
 * the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 * the following disclaimer in the documentation and/or other materials provided with the distribution. 
 * 3. The name of the author may not be used to endorse or promote products derived from this software 
 * without specific prior written permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package org.brains2b.coffee.gui.table;

import javax.swing.JTree;
import javax.swing.ListSelectionModel;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import javax.swing.tree.DefaultTreeSelectionModel;

public class NewTreeSelectionAdapter extends DefaultTreeSelectionModel {

	class ListSelectionHandler implements ListSelectionListener {

		public void valueChanged(ListSelectionEvent e) {
			/*if (!e.getValueIsAdjusting())
			updatePathForRows();*/
		}
		
	}
	
	private boolean m_isChanging;
	private JTree m_tree;
	
    public NewTreeSelectionAdapter(JTree tree) {
        super();
        m_tree = tree;
        listSelectionModel.addListSelectionListener(new ListSelectionHandler());
        listSelectionModel.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
    }
    
    public ListSelectionModel getListSelectionModel() {
    	return listSelectionModel;
    }
    
    /*public void updatePathForRows(){
    	if (!m_isChanging) {
    		m_isChanging=true;
    		clearSelection();
    		
    		int start = listSelectionModel.getMinSelectionIndex();
    		int end = listSelectionModel.getMaxSelectionIndex();
    		if (start!=-1 && end!=-1) {
	    		for (int i=start;i<=end;i++) {
	    			if (listSelectionModel.isSelectedIndex(i)) {
	    				TreePath path = m_tree.getPathForRow(i);
	    				if (path!=null) addSelectionPath(path);
	    			}
	    		}
    		}
    		m_isChanging=false;
    	}
    }
    
    public void resetRowSelection() {
	    if(!m_isChanging) {
			m_isChanging = true;
			super.resetRowSelection();
			m_isChanging = false;
	    }
	}*/
}
